
VisIt - Bug # 1287: CLI -pysideviewer can't successfully process script given with -s argument.

Status: Pending Priority: Normal

Author: Brad Whitlock Category:

Created: 12/19/2012 Assigned to: Harinarayan Krishnan

Updated: 01/10/2013 Due date:

Likelihood: 3 - Occasional

Severity: 3 - Major Irritation

Found in Version: 2.6.0

OS: All

Support Group: Any

Subject: CLI -pysideviewer can't successfully process script given with -s argument.

Description: I was following the instructions for making a PySide-viewer client at 

http://visitusers.org/index.php?title=VisIt-tutorial-Advanced-PythonUI. When I run "visit -cli -pysideviewer", 

the CLI starts up as normal. When I source the Python file containing the UI coding, the viewer window 

changes so it contains 4 windows. This is nice.



When I run "visit -cli -pysideviewer -s script.py" where "script.py" contains the UI coding, bad things happen. 

It seems that the CLI does create the 4 panel viewer window. However, the viewer seems to be reverse 

launching another CLI with -newconsole or -xterm because another CLI comes up in a new terminal window. 

That CLI attempts to run the script (that has already been run) and it fails because it does not know what a 

QWidget is. It seems that running the second CLI is an error and I can't tell how it's happening.



Ultimately, I plan to wrap the visit command line in another shell script that I can run directly so I can deploy 

my app without VisIt-specific command line arguments, etc.

History

12/19/2012 04:58 pm - Brad Whitlock

This happened on Mac and on Linux.

01/07/2013 01:55 pm - Brad Whitlock

Hari told me that using -uifile script.py works, and it does. I had just expected -s to work after years of passing -s to the cli.

01/08/2013 07:18 pm - Cyrus Harrison

Cyrus will talk to Hari about if we can simply make -s work in this case. 

01/10/2013 06:24 pm - Cyrus Harrison

- Status changed from New to Pending

- Assigned to set to Harinarayan Krishnan

Hari is going to look into this. 



The intent was always for the following to work:



-pysideviewer -s <script>

(or)

-pysideclient -s <script>





Also, he will probably deprecate -uifile
